Click here to Skip to main content
15,843,623 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
See more:
apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    buildToolsVersion '28.0.3'
    defaultConfig {
        applicationId "com."
        minSdkVersion 1
        targetSdkVersion 28
        versionCode 4
        multiDexEnabled true
        versionName "3.2.9"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        ndk {
            abiFilters "armeabi", "armeabi-v7a", "x86", "mips"
        }
    }
    aaptOptions {
        cruncherEnabled = false
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}
def final var = dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar', '*.so'])
   androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'

       exclude / 'com.android.support:appcompat-v7:25.3.1' /
               exclude / 'com.android.support:design:25.3.1' /
               exclude / 'com.android.support.constraint:constraint-layout:1.0.2'
        testcompile / 'junit:junit:4.12'

       compile 'org.jbundle.util.osgi.wrapped:org.jbundle.util.osgi.wrapped.org.apache.http.client:4.1.2'
       compile 'com.drewnoakes:metadata-extractor:2.8.1'
          compile 'jp.wasabeef:picasso-transformations:2.1.2'
        If you want to use the GPU Filters
       compile 'com.github.bumptech.glide:glide:3.6.0'

       compile 'com.android.support:multidex:1.0.0'
       compile 'com.github.zomato:androidphotofilters:1.0.1'
       compile  'com.android.support:recyclerview-v7:25.3.1'
       compile  'com.android.support:support-annotations:28.0.0'
    })

}


What I have tried:

ERROR: Could not get unknown property 'exclude' for DefaultExternalModuleDependency{group='com.android.support.test.espresso', name='espresso-core', version='2.2.2', configuration='default'} of type org.gradle.api.internal.artifacts.dependencies.DefaultExternalModuleDependency.


I Tried implementation and compile but it still says the same thing...
Posted

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900